PDA

View Full Version : If you're a Blizzard fan, don't upgrade to LION!




WillEH
Jul 26, 2011, 09:58 AM
http://forums.battle.net/thread.html?topicId=27813861503&sid=3000

In other words, it's going to be a very long wait for Lion support.

Be warned.



Keleko
Jul 26, 2011, 10:36 AM
Translation - the old games that used Rosetta won't work anymore. If you want to play them in Lion, run them in Bootcamp or a VM of Windows or keep a Snow Leopard partition/vm around to play them. Only Warcraft III will work, but the updater apparently won't.

SC2, WoW and the upcoming Diablo 3 certainly work.

Mr.C
Jul 26, 2011, 03:45 PM
http://forums.battle.net/thread.html?topicId=27813861503&sid=3000

In other words, it's going to be a very long wait for Lion support.

Be warned.

Both your thread title and post are misleading. All games from Star Craft 2 onwards will run and I believe so do one or two older games. Not to mention that issue doesn't just affect old Blizard games but any old software which is Power PC based and used Rosetta to run under Leopard, Snow Leopard which Lion does not support.

That said as already mentioned they can still be run using Windows under Bootcamp or VM.

doh123
Jul 26, 2011, 04:31 PM
ehhh.. you can run the Windows versions of all of those using Wineskin or Crossover just fine in Lion.

hrafnaass
Jul 26, 2011, 06:18 PM
Warcraft III is Universal, so it will work if it's already installed and you're installing Lion on top of SL. If you had WC3 installed and are doing a clean install of Lion, you can burn or copy the WC3 game folder (or if you have it on a Time Machine backup, all the better), then copy the game folder back over once Lion is installed.

The Installer.app for WC3 on the other hand is PPC, the one you download from Battle.net is also PPC, so you can forget installing WC3 after installing Lion.

Diablo II and Starcraft 1 you can forget about in Lion.

World of Warcraft and Starcraft 2 are fine (Diablo III will be as well).

There's a possibility that Blzzard "might" make an updated installer.app for WC3 for Intel, but that's a MIGHT.

Also, as one of the above posters highlighted.....it's not just Blizzard games, but all PPC games.

SlickShoes
Jul 27, 2011, 03:40 AM
I don't see what the big issue is, most of the games that don't work are going on 10 years old. Apple made the right move away from PPC and now they are completely phasing out support for that era, they have kept supporting it long enough.

If you are that big a fan of the games you can't live without them then its easy to just not upgrade.